import {
  FontFamilyInterface,
  FontSizeInterface,
  LineHengthInterface,
  FontWeightInterface,
  RadiusInterface
} from '../../tokens'

interface TypographyInterface {
  fontSize: keyof FontSizeInterface
  lineHeight: keyof LineHengthInterface
  letterSpacing?: number
  fontWeight: keyof FontWeightInterface
}

export interface Typography {
  body01: TypographyInterface
  body02: TypographyInterface
  heading01: TypographyInterface
  heading02: TypographyInterface
  heading03: TypographyInterface
  heading04: TypographyInterface
}

export type TypographyTypes =
  | 'body01'
  | 'body02'
  | 'heading01'
  | 'heading02'
  | 'heading03'
  | 'heading04'
